> For the complete documentation index, see [llms.txt](https://docs.wisej.com/system.drawing.managed/llms.txt). Markdown versions of documentation pages are available by appending `.md` to page URLs; this page is available as [Markdown](https://docs.wisej.com/system.drawing.managed/api/system.drawing.imaging/system.drawing.imaging.colormatrixflag.md).

# ColorMatrixFlag

Namespace: **System.Drawing.Imaging**

Assembly: **System.Drawing.Managed** (4.0.0.0)

Specifies available options for color-adjusting. GDI+ can adjust color data only, grayscale data only, or both.

{% tabs %}
{% tab title="C#" %}

```csharp
public enum ColorMatrixFlag : Enum
```

{% endtab %}

{% tab title="VB.NET" %}

```visual-basic
Public Enum ColorMatrixFlag As [Enum]
```

{% endtab %}
{% endtabs %}

## Fields

| Name          | Description                                                                                                                                           |
| ------------- | ----------------------------------------------------------------------------------------------------------------------------------------------------- |
| **AltGrays**  | Only gray shades are adjusted.                                                                                                                        |
| **Default**   | All color values, including gray shades, are adjusted by the same color-adjustment matrix.                                                            |
| **SkipGrays** | All colors are adjusted, but gray shades are not adjusted. A gray shade is any color that has the same value for its red, green, and blue components. |

## Used By

| Name                                                                                                                             | Description                                                                                    |
| -------------------------------------------------------------------------------------------------------------------------------- | ---------------------------------------------------------------------------------------------- |
| [ImageAttributes.SetColorMatrix](/system.drawing.managed/api/system.drawing.imaging/system.drawing.imaging.colormatrixflag.md)   | Sets the color-adjustment matrix for the default category.                                     |
| [ImageAttributes.SetColorMatrices](/system.drawing.managed/api/system.drawing.imaging/system.drawing.imaging.colormatrixflag.md) | Sets the color-adjustment matrix and the grayscale-adjustment matrix for the default category. |


---

# Agent Instructions
This documentation is published with GitBook. GitBook is the documentation platform designed so that both humans and AI agents can read, navigate, and reason over technical content effectively. Learn more at gitbook.com.

## Querying This Documentation
If you need additional information that is not directly available in this page, you can query the documentation dynamically by asking a question.

Perform an HTTP GET request on the current page URL with the `ask` query parameter, and the optional `goal` query parameter:

```
GET https://docs.wisej.com/system.drawing.managed/api/system.drawing.imaging/system.drawing.imaging.colormatrixflag.md?ask=<question>&goal=<endgoal>
```

`ask` is the immediate question: it should be specific, self-contained, and written in natural language.
`goal` is optional and describes the broader end goal you are ultimately trying to accomplish on behalf of the user. GitBook uses it to tailor the answer towards what is most useful for that goal.

The response will contain a direct answer to the question and relevant excerpts and sources from the documentation.

Use this mechanism when the answer is not explicitly present in the current page, you need clarification or additional context, or you want to retrieve related documentation sections.
